# class Node

*Defined at src/core/node.h#12*

## Members

protected Simulator *const _sim

protected NodeId _id

protected NodeStatus _status

protected NodeType _type



## Functions

### Node

*public void Node(Simulator *const sim, NodeId id, NodeType type)*

### id

*public NodeId id()*

### status

*public NodeStatus status()*

### type

*public NodeType type()*

### set_status

*public void set_status(NodeStatus s)*

### boot

*public void boot(Time boottime_ns)*

### reboot

*public void reboot(Time boottime_ns)*

### ~Node

*public void ~Node()*

*Defined at src/core/node.h#15*

### Node

*public void Node(const Node & )*

*Defined at src/core/node.h#26*

### operator=

*public Node & operator=(const Node & )*

*Defined at src/core/node.h#27*



